Bug 1889690 - Add IPv4 obfuscation
Summary: Add IPv4 obfuscation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Inventory
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.9.0
Assignee: Shimon Shtein
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 11:41 UTC by Shimon Shtein
Modified: 2021-07-17 07:04 UTC (History)
1 user (show)

Fixed In Version: 2.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:18:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:18:42 UTC

Description Shimon Shtein 2020-10-20 11:41:16 UTC
Respect both a satellite level setting and insights-client setting. Similar to the way hostname obfuscation works.

Comment 1 Brad Buckingham 2021-01-08 22:06:33 UTC
Early Satellite 6.9 SNAP includes tfm-rubygem-foreman_rh_cloud-3.0.14-1.el7sat.noarch.rpm; therefore, aligning to release and updating state.

Comment 2 Jameer Pathan 2021-02-11 10:18:22 UTC
Verified

Verified with:
- Satellite 6.9.0 snap 11
- tfm-rubygem-foreman_rh_cloud-3.0.14-1.el7sat.noarch

Test steps:
- Go to  Configure > Inventory Upload, enable “Obfuscate host ipv4 addresses” setting.
OR
- Go to Administer > Settings > RH Cloud and enable “Obfuscate host ipv4 addresses” setting.
- Generate report after enabling setting and verify whether the ipv4 addresses are Obfuscated.

Observation:
- Obfuscated host ipv4 addresses in reports generated.

Comment 5 errata-xmlrpc 2021-04-21 13:18:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.